com.fasterxml.jackson.dataformat.protobuf.schema

## Class FileDescriptorSet.FileDescriptorProto

- java.lang.Object
- - com.fasterxml.jackson.dataformat.protobuf.schema.FileDescriptorSet.FileDescriptorProto

- Enclosing class:
    FileDescriptorSet

      public static class FileDescriptorSet.FileDescriptorProto
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `_package`
    `String[]` | `dependency`
    `FileDescriptorSet.EnumDescriptorProto[]` | `enum_type`
    `FileDescriptorSet.FieldDescriptorProto[]` | `extension`
    `FileDescriptorSet.DescriptorProto[]` | `message_type`
    `String` | `name`
    `FileDescriptorSet.FileOptions` | `options`
    `int[]` | `public_dependency`
    `FileDescriptorSet.ServiceDescriptorProto[]` | `service`
    `FileDescriptorSet.SourceCodeInfo` | `source_code_info`
    `String` | `syntax`
    `int[]` | `weak_dependency`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileDescriptorSet.FileDescriptorProto()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getPackage()`
    `com.squareup.protoparser.ProtoFile.Syntax` | `getSyntax()`
    `void` | `setPackage(String p)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          public String name

    - #### _package

          protected String _package

    - #### dependency

          public String[] dependency

    - #### public_dependency

          public int[] public_dependency

    - #### weak_dependency

          public int[] weak_dependency

    - #### message_type

          public FileDescriptorSet.DescriptorProto[] message_type

    - #### enum_type

          public FileDescriptorSet.EnumDescriptorProto[] enum_type

    - #### service

          public FileDescriptorSet.ServiceDescriptorProto[] service

    - #### extension

          public FileDescriptorSet.FieldDescriptorProto[] extension

    - #### options

          public FileDescriptorSet.FileOptions options

    - #### source_code_info

          public FileDescriptorSet.SourceCodeInfo source_code_info

    - #### syntax

          public String syntax

  - ### Constructor Detail

    - #### FileDescriptorSet.FileDescriptorProto

          public FileDescriptorSet.FileDescriptorProto()

  - ### Method Detail

    - #### getSyntax

          public com.squareup.protoparser.ProtoFile.Syntax getSyntax()

    - #### setPackage

          public void setPackage(String p)

    - #### getPackage

          public String getPackage()

Copyright © 2017 FasterXML. All rights reserved.